// pages/components/blocks/swiper_message/swiper_message.js
let app = getApp();

Component({
  /**
   * 组件的属性列表
   */
  properties: {

  },

  /**
   * 组件的初始数据
   */
  data: {
    msgList: null
  },

  /**
   * 组件的方法列表
   */
  methods: {

  },
  lifetimes: {
    attached: function () {
      console.log('lifetimes attached')    
      let msgs = app.genMsgs();
      this.setData({ msgList: msgs});
    },
    detached: function () {
      console.log('lifetimes detached')
    },
  },
})
